Index: apps/app_meetme.c
===================================================================
--- apps/app_meetme.c	(revision 11164)
+++ apps/app_meetme.c	(working copy)
@@ -855,6 +855,7 @@
 	ZT_BUFFERINFO bi;
 	char __buf[CONF_SIZE + AST_FRIENDLY_OFFSET];
 	char *buf = __buf + AST_FRIENDLY_OFFSET;
+	int sent_event = 0;
 
 	if (!(user = ast_calloc(1, sizeof(*user)))) {
 		return ret;
@@ -1090,12 +1091,15 @@
 	}
 	ast_log(LOG_DEBUG, "Placed channel %s in ZAP conf %d\n", chan->name, conf->zapconf);
 
-	manager_event(EVENT_FLAG_CALL, "MeetmeJoin", 
-		      "Channel: %s\r\n"
-		      "Uniqueid: %s\r\n"
-		      "Meetme: %s\r\n"
-		      "Usernum: %d\r\n",
-		      chan->name, chan->uniqueid, conf->confno, user->user_no);
+	if (!sent_event){
+		manager_event(EVENT_FLAG_CALL, "MeetmeJoin", 
+				  "Channel: %s\r\n"
+				  "Uniqueid: %s\r\n"
+				  "Meetme: %s\r\n"
+				  "Usernum: %d\r\n",
+				  chan->name, chan->uniqueid, conf->confno, user->user_no);
+		sent_event = 1;
+	}
 
 	if (!firstpass && !(confflags & CONFFLAG_MONITOR) && !(confflags & CONFFLAG_ADMIN)) {
 		firstpass = 1;
@@ -1649,21 +1653,22 @@
 		min = ((now - user->jointime) % 3600) / 60;
 		sec = (now - user->jointime) % 60;
 
-		manager_event(EVENT_FLAG_CALL, "MeetmeLeave",
-			"Channel: %s\r\n"
-			"Uniqueid: %s\r\n"
-			"Meetme: %s\r\n"
-			"Usernum: %d\r\n"
-		        "CIDnum: %s\r\n"
-			"CIDname: %s\r\n"
-		        "Duration: %02d:%02d:%02d\r\n",
-			 chan->name, chan->uniqueid, conf->confno, 
-			  user->user_no,
-			  user->chan->cid.cid_num ? user->chan->cid.cid_num :
-		         "<unknown>",
-		         user->chan->cid.cid_name ? user->chan->cid.cid_name :
-		          "<no name>", hr, min, sec);
-
+		if (sent_event)	{
+			manager_event(EVENT_FLAG_CALL, "MeetmeLeave",
+				"Channel: %s\r\n"
+				"Uniqueid: %s\r\n"
+				"Meetme: %s\r\n"
+				"Usernum: %d\r\n"
+					"CIDnum: %s\r\n"
+				"CIDname: %s\r\n"
+					"Duration: %02d:%02d:%02d\r\n",
+				 chan->name, chan->uniqueid, conf->confno, 
+				  user->user_no,
+				  user->chan->cid.cid_num ? user->chan->cid.cid_num :
+					 "<unknown>",
+					 user->chan->cid.cid_name ? user->chan->cid.cid_name :
+					  "<no name>", hr, min, sec);
+		}
 		conf->users--;
 		if (confflags & CONFFLAG_MARKEDUSER) 
 			conf->markedusers--;
